package main;
import org.junit.jupiter.params.shadow.com.univocity.parsers.csv.Csv;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.nio.charset.StandardCharsets;

public class DomainGrabber {
    public static String getDomain() {
            try (InputStream inputStream = DomainGrabber.class.getResourceAsStream("/csv/credentials.csv");
                 BufferedReader reader = new BufferedReader(new InputStreamReader(inputStream, StandardCharsets.UTF_8))) {
                return reader.readLine();
            } catch (IOException e) {
                throw new RuntimeException("Failed to read domain from CSV", e);
            }
        }
    }


